#pragma once
#include "CONSOLE.h"
class BUTTON :
	public CONSOLE
{
	int  Type;
	IMAGE	*Image;
	IMAGE	*Pic;
	IMAGE	*ImageEnter;

	bool Triger;




public:


	BUTTON (LPCWSTR FileName1,LPCWSTR FileName2);
	BUTTON (LPCWSTR FileName1);

	virtual void	Draw(void);
	virtual void	Flip(void);

	virtual void	SetPosition(D3DXVECTOR2 Position);
	virtual void	SetPosition(float PosX,float PosY);

	virtual void	SetSize(D3DXVECTOR2 Position);
	virtual void	SetSize(float SizeX,float SizeY);

	virtual void	CALLBACKClick(void (*ClickFunc)(void));
	virtual void	CALLBACKEnter(void (*EnterFunc)(void));



	//Events	
	virtual void	ClickMouse(void);
	virtual void	EnterMouse(void);

	~BUTTON(void);
};

